#!/usr/bin/env python3

import sys
import numpy as np
from sklearn.cluster import KMeans
from numpy import loadtxt
import matplotlib.pyplot as plt

# Read data
if len(sys.argv) == 1:
    print('Need a filename!')
    sys.exit()

if len(sys.argv) == 2:
    print('Need # of clusters!')
    sys.exit()

if len(sys.argv) == 3:
    INPUT = sys.argv[1]
    CLUSTERS = int(sys.argv[2])

f = open(INPUT, 'r')
DATA = loadtxt(INPUT, comments="#", delimiter=",", unpack=False)

kmeans = KMeans(n_clusters=CLUSTERS)  
kmeans.fit(DATA)
print('Labels:', kmeans.labels_)

plt.xlabel('X')
plt.ylabel('Y')
plt.title('Data Points')

plt.scatter(DATA[:,0], DATA[:,1], c=kmeans.labels_, cmap='rainbow', label='Data Points')
plt.tight_layout()
plt.savefig('clustering.png', dpi=300)
